List Google company ads
curl --request GET \
--url https://api.aisa.one/apis/v1/google/ad-library/companies/ads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/google/ad-library/companies/ads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/google/ad-library/companies/ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/google/ad-library/companies/ads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/google/ad-library/companies/ads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/google/ad-library/companies/ads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/google/ad-library/companies/ads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyGoogle
List Google company ads
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.35 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.014 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
GET
https://api.aisa.one
/
apis
/
v1
/
google
/
ad-library
/
companies
/
ads
List Google company ads
curl --request GET \
--url https://api.aisa.one/apis/v1/google/ad-library/companies/ads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/google/ad-library/companies/ads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/google/ad-library/companies/ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/google/ad-library/companies/ads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/google/ad-library/companies/ads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/google/ad-library/companies/ads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/google/ad-library/companies/ads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body请求规范
- 方法与路径: GET /apis/v1/google/ad-library/companies/ads
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/google/ad-library/companies/ads - advertiserId: query; 可选
- cursor: query; 可选
- domain: query; 可选
- endDate: query; 可选
- format: query; 可选
- platform: query; 可选
- region: query; 可选
- startDate: query; 可选
- topic: query; 可选
- Runtime 事实版本: b8a04df7d8e99d8cfcab8f0be7e5af9afd9f4d2a5e61d94f87a62f66db4323ae
{
"operationId": "google.ad-library.companies.ads",
"method": "GET",
"path": "/apis/v1/google/ad-library/companies/ads",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"in": "query",
"name": "advertiserId",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "cursor",
"required": false,
"schema": {
"maxLength": 16384,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "domain",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "endDate",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "format",
"required": false,
"schema": {
"enum": [
"image",
"text",
"video"
],
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "platform",
"required": false,
"schema": {
"enum": [
"google_maps",
"google_play",
"google_search",
"google_shopping",
"youtube"
],
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "region",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "startDate",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "topic",
"required": false,
"schema": {
"enum": [
"all",
"political"
],
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.35,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 25,
"unit": "provider_credit",
"unit_rate_usd": 0.014
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.35 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.014 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.35
- 声明的单位费率(USD): 0.014
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 25
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Required string length:
1 - 4096Required string length:
1 - 16384Required string length:
1 - 4096Required string length:
1 - 4096可用选项:
image, text, video Required string length:
1 - 4096可用选项:
google_maps, google_play, google_search, google_shopping, youtube Required string length:
1 - 4096Required string length:
1 - 4096Required string length:
1 - 4096可用选项:
all, political Required string length:
1 - 4096响应
成功响应